> ## Documentation Index
> Fetch the complete documentation index at: https://magica.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Start workflow run

> Start a workflow run by workflow ID or system workflow slug.

Use this endpoint to start a full workflow run. The response returns a `runId`; poll [`GET /v1/runs/{runId}`](/api-reference/runs/get) for status and node outputs.

```bash theme={null}
curl -X POST https://api.magica.com/api/v1/runs \
  -H "Authorization: Bearer $MAGICA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "workflowId": "workflow-or-system-slug",
    "values": {
      "request-node-id": {
        "prompt": "Create a product hero image"
      }
    }
  }'
```


## OpenAPI

````yaml POST /v1/runs
openapi: 3.1.0
info:
  title: Magica REST API
  version: 1.0.0
  description: >-
    REST API for managing Magica resources. Authenticate public endpoints with
    your Magica API key: Authorization: Bearer gx_xxx.
servers:
  - url: https://api.magica.com/api
security:
  - bearerAuth: []
paths:
  /v1/runs:
    post:
      tags:
        - Public REST
      summary: POST /api/v1/runs
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
              description: StartRunInputSchema
      responses:
        '202':
          description: Accepted
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````